Page MenuHomePhabricator

Enable Scap3 config deploys for CXServer
Closed, ResolvedPublic

Description

With T144542: Enable config deploys for service::node services done, we can now use Scap for config deploys. This means that we can move CXServer's config from ops/puppet into its deploy directory.

Steps needed:

  • identify the Puppet-controlled variables, such as passwords, API keys and host IPs/URIs
  • rewrite the full config as a Jinja2 template (with ERB syntax)
  • activate the config deploy in ops/puppet

Details

Related Gerrit Patches:
mediawiki/services/cxserver/deploy : masterConfig: Escape quotes in keys
mediawiki/services/cxserver/deploy : masterUse Scap3 to deploy the config
operations/puppet : productionCXServer: Use Scap3 to deploy the config

Event Timeline

mobrovac created this task.Oct 7 2016, 12:09 PM
Restricted Application added a project: ContentTranslation. · View Herald TranscriptOct 7 2016, 12:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@mobrovac What's deadline for this? We can do this in the Language-Q2-2016-17 Sprint 2 sprint.

Ping @mobrovac for estimated deadline of this task.

Change 321860 had a related patch set uploaded (by Mobrovac):
CXServer: Use Scap3 to deploy the config

https://gerrit.wikimedia.org/r/321860

Change 321861 had a related patch set uploaded (by Mobrovac):
Use Scap3 to deploy the config

https://gerrit.wikimedia.org/r/321861

mobrovac edited projects, added Services (doing); removed Services.

The two patches above need to be deployed at the same time in order for this to take effect.

Thanks @mobrovac I'll review patches and ask Alex or someone for deployment co-ordination.

@akosiaris @mobrovac Should we deploy this tomorrow/later today or need to wait for Puppet SWAT?

@KartikMistry. It's thanksgiving week. Releng has a freeze in place https://wikitech.wikimedia.org/wiki/Deployments#Week_of_November_21st. I doubt we can squeeze this under "SWAT deploys only, and only those that are important (no backports just to get around the freeze!)"

@akosiaris @mobrovac Should we schedule this now?

Tuesday 2016-12-06?

Arrbee moved this task from Done to In Review on the Language-Q2-2016-17 Sprint 4 board.
demon moved this task from Needs triage to Services improvements on the Scap board.Dec 8 2016, 1:56 AM

Change 321860 merged by Alexandros Kosiaris:
CXServer: Use Scap3 to deploy the config

https://gerrit.wikimedia.org/r/321860

Change 321861 merged by Mobrovac:
Use Scap3 to deploy the config

https://gerrit.wikimedia.org/r/321861

Change 327501 had a related patch set uploaded (by Mobrovac):
Config: Escape quotes in keys

https://gerrit.wikimedia.org/r/327501

Change 327501 merged by Mobrovac:
Config: Escape quotes in keys

https://gerrit.wikimedia.org/r/327501

Mentioned in SAL (#wikimedia-operations) [2016-12-15T13:53:28Z] <mobrovac@tin> Starting deploy [cxserver/deploy@430c858]: Full deploy to switch CXServer to Scap3 config deploys T147634

Mentioned in SAL (#wikimedia-operations) [2016-12-15T13:54:20Z] <mobrovac@tin> Finished deploy [cxserver/deploy@430c858]: Full deploy to switch CXServer to Scap3 config deploys T147634 (duration: 00m 52s)

mobrovac closed this task as Resolved.Dec 15 2016, 1:55 PM
mobrovac edited projects, added Services (done); removed Services (doing), Patch-For-Review.
mobrovac updated the task description. (Show Details)
mobrovac removed subscribers: Stashbot, gerritbot.